zenilib: zenilib/jni/external/freetype2/src/cache/ftcglyph.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
ftcglyph.h File Reference
`#include <ft2build.h>`
`#include "ftcmanag.h"`

Go to the source code of this file.

## Classes

struct | FTC_FamilyRec_
struct | FTC_GCacheClassRec_
struct | FTC_GCacheRec_
struct | FTC_GNodeRec_
struct | FTC_GQueryRec_

## Macros

#define | FTC_CACHE__FAMILY_CLASS(x) ( (FTC_MruListClass)FTC_CACHE__GCACHE_CLASS( x )->family_class )
#define | FTC_CACHE__GCACHE_CLASS(x) FTC_GCACHE_CLASS( FTC_CACHE(x)->org_class )
#define | FTC_FAMILY(x) ( (FTC_Family)(x) )
#define | FTC_FAMILY_FREE(family, cache)
#define | FTC_FAMILY_P(x) ( (FTC_Family*)(x) )
#define | FTC_GCACHE(x) ((FTC_GCache)(x))
#define | FTC_GCACHE_CLASS(x) ((FTC_GCacheClass)(x))
#define | FTC_GCACHE_LOOKUP_CMP(cache, famcmp, nodecmp, hash,gindex, query, node, error)
#define | FTC_GNODE(x) ( (FTC_GNode)(x) )
#define | FTC_GNODE_P(x) ( (FTC_GNode*)(x) )
#define | FTC_GQUERY(x) ( (FTC_GQuery)(x) )

## Typedefs

typedef FT_BEGIN_HEADER struct FTC_FamilyRec_ * | FTC_Family
typedef FT_BEGIN_HEADER struct FTC_FamilyRec_ | FTC_FamilyRec
typedef struct FTC_GCacheRec_ * | FTC_GCache
typedef const FTC_GCacheClassRec * | FTC_GCacheClass
typedef struct FTC_GCacheClassRec_ | FTC_GCacheClassRec
typedef struct FTC_GCacheRec_ | FTC_GCacheRec
typedef struct FTC_GNodeRec_ * | FTC_GNode
typedef struct FTC_GNodeRec_ | FTC_GNodeRec
typedef struct FTC_GQueryRec_ * | FTC_GQuery
typedef struct FTC_GQueryRec_ | FTC_GQueryRec

## Functions

| FTC_Family_Init (FTC_Family family, FTC_Cache cache)
| FTC_GCache_New (FTC_Manager manager, FTC_GCacheClass clazz, FTC_GCache *acache)
| FTC_GNode_Compare (FTC_GNode gnode, FTC_GQuery gquery, FTC_Cache cache, FT_Bool *list_changed)
| FTC_GNode_Done (FTC_GNode node, FTC_Cache cache)
| FTC_GNode_Init (FTC_GNode node, FT_UInt gindex, FTC_Family family)
| FTC_GNode_UnselectFamily (FTC_GNode gnode, FTC_Cache cache)

## Macro Definition Documentation

#define FTC_CACHE__FAMILY_CLASS | ( |  | x | ) | ( (FTC_MruListClass)FTC_CACHE__GCACHE_CLASS( x )->family_class )

Definition at line 250 of file ftcglyph.h.

#define FTC_CACHE__GCACHE_CLASS | ( |  | x | ) | FTC_GCACHE_CLASS( FTC_CACHE(x)->org_class )

Definition at line 248 of file ftcglyph.h.

Referenced by FTC_Family_Init().

#define FTC_FAMILY | ( |  | x | ) | ( (FTC_Family)(x) )

Definition at line 144 of file ftcglyph.h.

Referenced by ftc_basic_family_init().

#define FTC_FAMILY_FREE | ( |  | family,
|  |  | cache
| ) |  |

Value:
FTC_MruList_Remove( &FTC_GCACHE((cache))->families, \
(FTC_MruNode)(family) )
FTC_MruNode
typedefFT_BEGIN_HEADER struct FTC_MruNodeRec_ * FTC_MruNode
Definition: ftcmru.h:61
FTC_MruList_Remove
FTC_MruList_Remove(FTC_MruList list, FTC_MruNode node)
Definition: ftcmru.c:308
FTC_GCACHE
#define FTC_GCACHE(x)
Definition: ftcglyph.h:219

Definition at line 273 of file ftcglyph.h.

Referenced by FTC_GNode_UnselectFamily().

#define FTC_FAMILY_P | ( |  | x | ) | ( (FTC_Family*)(x) )

Definition at line 145 of file ftcglyph.h.

#define FTC_GCACHE | ( |  | x | ) | ((FTC_GCache)(x))

Definition at line 219 of file ftcglyph.h.

Referenced by FTC_ImageCache_Lookup(), and FTC_SBitCache_Lookup().

#define FTC_GCACHE_CLASS | ( |  | x | ) | ((FTC_GCacheClass)(x))

Definition at line 246 of file ftcglyph.h.

#define FTC_GCACHE_LOOKUP_CMP | ( |  | cache,
|  |  | famcmp,
|  |  | nodecmp,
|  |  | hash,
|  |  | gindex,
|  |  | query,
|  |  | node,
|  |  | error
| ) |  |

Value:
FT_BEGIN_STMNT \
FTC_GCache _gcache = FTC_GCACHE( cache ); \
FTC_GQuery _gquery = (FTC_GQuery)( query ); \
FTC_MruNode_CompareFunc _fcompare = (FTC_MruNode_CompareFunc)(famcmp); \
FTC_MruNode _mrunode; \
\
\
_gquery->gindex = (gindex); \
\
FTC_MRULIST_LOOKUP_CMP( &_gcache->families, _gquery, _fcompare, \
_mrunode, error ); \
_gquery->family = FTC_FAMILY( _mrunode ); \
if ( !error ) \
{ \
FTC_Family _gqfamily = _gquery->family; \
\
\
_gqfamily->num_nodes++; \
\
FTC_CACHE_LOOKUP_CMP( cache, nodecmp, hash, query, node, error ); \
\
if ( --_gqfamily->num_nodes == 0 ) \
FTC_FAMILY_FREE( _gqfamily, _gcache ); \
} \
FT_END_STMNT
FTC_MruNode
typedefFT_BEGIN_HEADER struct FTC_MruNodeRec_ * FTC_MruNode
Definition: ftcmru.h:61
FTC_MruNode_CompareFunc
FT_Bool(* FTC_MruNode_CompareFunc)(FTC_MruNode node, FT_Pointer key)
Definition: ftcmru.h:90
FTC_FamilyRec_::num_nodes
FT_UInt num_nodes
Definition: ftcglyph.h:138
FTC_GCache
struct FTC_GCacheRec_ * FTC_GCache
if
if(!yyg->yy_init)
Definition: glslang_lex.cpp:1037
FTC_FAMILY
#define FTC_FAMILY(x)
Definition: ftcglyph.h:144
FTC_MRULIST_LOOKUP_CMP
#define FTC_MRULIST_LOOKUP_CMP(list, key, compare, node, error)
Definition: ftcmru.h:162
query
GLenum query
Definition: glew.h:5140
error
FT_Error error
Definition: cffdrivr.c:407
FT_END_STMNT
#define FT_END_STMNT
Definition: ftconfig.h:301
FTC_Family
FT_BEGIN_HEADER struct FTC_FamilyRec_ * FTC_Family
FTC_CACHE_LOOKUP_CMP
#define FTC_CACHE_LOOKUP_CMP(cache, nodecmp, hash, query, node, error)
Definition: ftccache.h:217
FTC_FAMILY_FREE
#define FTC_FAMILY_FREE(family, cache)
Definition: ftcglyph.h:273
FTC_GQuery
struct FTC_GQueryRec_ * FTC_GQuery
FTC_GCACHE
#define FTC_GCACHE(x)
Definition: ftcglyph.h:219

Definition at line 280 of file ftcglyph.h.

Referenced by FTC_ImageCache_Lookup(), FTC_ImageCache_LookupScaler(), FTC_SBitCache_Lookup(), and FTC_SBitCache_LookupScaler().

#define FTC_GNODE | ( |  | x | ) | ( (FTC_GNode)(x) )

Definition at line 156 of file ftcglyph.h.

Referenced by ftc_inode_free(), FTC_INode_New(), FTC_SBitCache_Lookup(), FTC_SBitCache_LookupScaler(), ftc_snode_compare(), ftc_snode_free(), ftc_snode_load(), and FTC_SNode_New().

#define FTC_GNODE_P | ( |  | x | ) | ( (FTC_GNode*)(x) )

Definition at line 157 of file ftcglyph.h.

#define FTC_GQUERY | ( |  | x | ) | ( (FTC_GQuery)(x) )

Definition at line 167 of file ftcglyph.h.

Referenced by FTC_ImageCache_Lookup(), and FTC_SBitCache_Lookup().

## Typedef Documentation

typedef FT_BEGIN_HEADER struct FTC_FamilyRec_ * FTC_Family

typedef FT_BEGIN_HEADER struct FTC_FamilyRec_ FTC_FamilyRec

typedef struct FTC_GCacheRec_ * FTC_GCache

typedef const FTC_GCacheClassRec* FTC_GCacheClass

Definition at line 244 of file ftcglyph.h.

typedef struct FTC_GCacheClassRec_ FTC_GCacheClassRec

typedef struct FTC_GCacheRec_ FTC_GCacheRec

typedef struct FTC_GNodeRec_ * FTC_GNode

typedef struct FTC_GNodeRec_ FTC_GNodeRec

typedef struct FTC_GQueryRec_ * FTC_GQuery

typedef struct FTC_GQueryRec_ FTC_GQueryRec

## Function Documentation

FTC_Family_Init | ( | FTC_Family | family,
|  | FTC_Cache | cache
| ) |  |

Definition at line 106 of file ftcglyph.c.

References FTC_GCacheClassRec_::family_class, and FTC_CACHE__GCACHE_CLASS.

Referenced by ftc_basic_family_init().

FTC_GCache_New | ( | FTC_Manager | manager,
|  | FTC_GCacheClass | clazz,
|  | FTC_GCache * | acache
| ) |  |

Definition at line 175 of file ftcglyph.c.

References FTC_Manager_RegisterCache().

Referenced by FTC_ImageCache_New(), and FTC_SBitCache_New().

FTC_GNode_Compare | ( | FTC_GNode | gnode,
|  | FTC_GQuery | gquery,
|  | FTC_Cache | cache,
|  | FT_Bool * | list_changed
| ) |  |

Definition at line 86 of file ftcglyph.c.

References ftc_gnode_compare(), and FTC_NODE.

Referenced by FTC_ImageCache_Lookup(), and FTC_ImageCache_LookupScaler().

FTC_GNode_Done | ( | FTC_GNode | node,
|  | FTC_Cache | cache
| ) |  |

Definition at line 55 of file ftcglyph.c.

References FTC_GNode_UnselectFamily().

Referenced by ftc_inode_free(), and ftc_snode_free().

FTC_GNode_Init | ( | FTC_GNode | node,
|  | FT_UInt | gindex,
|  | FTC_Family | family
| ) |  |

Definition at line 31 of file ftcglyph.c.

Referenced by FTC_INode_New(), and FTC_SNode_New().

FTC_GNode_UnselectFamily | ( | FTC_GNode | gnode,
|  | FTC_Cache | cache
| ) |  |

Definition at line 42 of file ftcglyph.c.

References FTC_FAMILY_FREE, and NULL.

Referenced by ftc_basic_gnode_compare_faceid(), and FTC_GNode_Done().